/* (primosNK) 
Fazer um programa em C++ para calcular e imprimir a soma dos números primos entre dois inteiros N e K positivos informados pelo usuário no início da execução do programa.

Ex:
Entre com o intervalo: 10 50
Soma = 311
*/
#include <iostream>
#include <cmath>
using namespace std;

int ehPrimo( int num );

int main(){
  int ini, fim, num, soma;

  cout << "Entre com o intervalo: ";
  cin >> ini >> fim;
  soma= 0;
  for( num=ini; num<=fim; num=num+1 )
    if( ehPrimo( num ))
      soma= soma+num;
  cout << "Soma = " << soma << endl;
  return 0;
}

/* ------------------------------------
Funcao ehPrimo:
Entrada: um inteiro num > 1
Saida: 1 se num eh primo
       0 se num nao eh primo
*/
int ehPrimo( int num ){
  int i;

  if( num%2 == 0 )       /* num eh par */
    if( num == 2 )
      return 1;
    else
      return 0;
  i= 3;                  /* num eh impar */
  while( i <= sqrt( num )){
    if( num%i == 0 )
      return 0;
    i= i+2;
  }
  return 1;
}
    
